- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
BlisBranchObjectBilevel Class Reference

`#include <BlisBranchObjectBilevel.h>`

Inheritance diagram for BlisBranchObjectBilevel:
[legend]
Collaboration diagram for BlisBranchObjectBilevel:
[legend]

## Public Member Functions
| BlisBranchObjectBilevel ()
| Default constructor. More...
| BlisBranchObjectBilevel (BcpsModel *model)
| Another useful constructor. More...
| BlisBranchObjectBilevel (const BlisBranchObjectBilevel &rhs)
| Copy constructor. More...
BlisBranchObjectBilevel & | operator= (const BlisBranchObjectBilevel &rhs)
| Assignment operator. More...
virtual BcpsBranchObject * | clone () const
| Clone. More...
virtual | ~BlisBranchObjectBilevel ()
| Destructor. More...
std::deque< int > * | getBranchingSet () const
| Get a pointer to the branching set. More...
void | addToBranchingSet (int item)
| Get a pointer to the branching set. More...
virtual double | branch (bool normalBranch=false)
| Set the bounds for the variable according to the current arm of the branch and advances the object state to the next arm. More...
virtual void | print (bool normalBranch)
| Print something about branch - only if log level high. More...
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded) const
| Pack to an encoded object. More...
virtual AlpsReturnStatus | decode (AlpsEncoded &encoded)
| Unpack a branching object from an encoded object. More...
Public Member Functions inherited from BcpsBranchObject
| BcpsBranchObject ()
| Default Constructor. More...
| BcpsBranchObject (BcpsModel *model)
| Useful constructor. More...
| BcpsBranchObject (BcpsModel *model, int objectIndex, int direction, double value)
| Useful constructor. More...
| BcpsBranchObject (BcpsModel *model, int objectIndex, int upScore, double downScore, int direction, double value)
| Useful constructor. More...
| BcpsBranchObject (const BcpsBranchObject &)
| Copy constructor. More...
virtual | ~BcpsBranchObject ()
| Destructor. More...
BcpsBranchObject & | operator= (const BcpsBranchObject &rhs)
| Assignment operator. More...
int | getType ()
| Get type. More...
void | setType (int t)
| Set type. More...
virtual int | numBranches () const
| The number of branch arms created for this branch object. More...
virtual int | numBranchesLeft () const
| The number of branch arms left to be evaluated. More...
virtual bool | boundBranch () const
| Return true if branching should fix object bounds. More...
int | getObjectIndex () const
| Object objectIndex. More...
void | setObjectIndex (int ind)
| Set object objectIndex. More...
double | getUpScore () const
| Get integer score. More...
void | setUpScore (double score)
| Set integer score. More...
double | getDownScore () const
| Get double score. More...
void | setDownScore (double score)
| Get double score. More...
int | getDirection () const
| Returns a code indicating the active arm of the branching object. More...
void | setDirection (int direction)
| Set the direction of the branching object. More...
double | getValue () const
| Return object branching value. More...
BcpsModel * | model () const
| Return model. More...

## Protected Member Functions
AlpsReturnStatus | encodeBlis (AlpsEncoded *encoded) const
| Pack Blis portion to an encoded object. More...
AlpsReturnStatus | decodeBlis (AlpsEncoded &encoded)
| Unpack Blis portion from an encoded object. More...
Protected Member Functions inherited from BcpsBranchObject
AlpsReturnStatus | encodeBcps (AlpsEncoded *encoded) const
| Pack Bcps portion to an encoded object. More...
AlpsReturnStatus | decodeBcps (AlpsEncoded &encoded)
| Unpack Bcps portion from an encoded object. More...

## Protected Attributes
std::deque< int > * | branchingSet_
| The indices of variables in the branching set. More...
Protected Attributes inherited from BcpsBranchObject
int | type_
| Type of branching. More...
BcpsModel * | model_
| The model that owns this branch object. More...
int | objectIndex_
| Branch object index. More...
double | upScore_
| Quality/Goodness of this object. More...
double | downScore_
| The score of branching down. More...
int | direction_
| Information required to do branching. More...
double | value_
| Current branching value. More...
int | numBranchesLeft_
| Number of arms remaining to be evaluated. More...

## Detailed Description

Definition at line 38 of file BlisBranchObjectBilevel.h.

## Constructor & Destructor Documentation

BlisBranchObjectBilevel::BlisBranchObjectBilevel | ( |  | ) |
| inline

Default constructor.

Definition at line 48 of file BlisBranchObjectBilevel.h.

BlisBranchObjectBilevel::BlisBranchObjectBilevel | ( | BcpsModel * | model | ) |
| inline

Another useful constructor.

Definition at line 55 of file BlisBranchObjectBilevel.h.

BlisBranchObjectBilevel::BlisBranchObjectBilevel | ( | const BlisBranchObjectBilevel & | rhs | ) |
| inline

Copy constructor.

Definition at line 62 of file BlisBranchObjectBilevel.h.

virtual BlisBranchObjectBilevel::~BlisBranchObjectBilevel | ( |  | ) |
| inline virtual

Destructor.

Definition at line 75 of file BlisBranchObjectBilevel.h.

## Member Function Documentation

BlisBranchObjectBilevel& BlisBranchObjectBilevel::operator= | ( | const BlisBranchObjectBilevel & | rhs | ) |

Assignment operator.

virtual BcpsBranchObject* BlisBranchObjectBilevel::clone | ( |  | ) | const
| inline virtual

Clone.

Implements BcpsBranchObject.

Definition at line 70 of file BlisBranchObjectBilevel.h.

std::deque<int>* BlisBranchObjectBilevel::getBranchingSet | ( |  | ) | const
| inline

Get a pointer to the branching set.

Definition at line 78 of file BlisBranchObjectBilevel.h.

void BlisBranchObjectBilevel::addToBranchingSet | ( | int | item | ) |
| inline

Get a pointer to the branching set.

Definition at line 81 of file BlisBranchObjectBilevel.h.

virtual double BlisBranchObjectBilevel::branch | ( | bool | normalBranch = `false` | ) |
| virtual

Set the bounds for the variable according to the current arm of the branch and advances the object state to the next arm.

Returns change in guessed objective on next branch.

Implements BcpsBranchObject.

virtual void BlisBranchObjectBilevel::print | ( | bool | normalBranch | ) |
| virtual

Print something about branch - only if log level high.

Reimplemented from BcpsBranchObject.

AlpsReturnStatus BlisBranchObjectBilevel::encodeBlis | ( | AlpsEncoded * | encoded | ) | const
| inline protected

Pack Blis portion to an encoded object.

Definition at line 94 of file BlisBranchObjectBilevel.h.

AlpsReturnStatus BlisBranchObjectBilevel::decodeBlis | ( | AlpsEncoded & | encoded | ) |
| inline protected

Unpack Blis portion from an encoded object.

Definition at line 101 of file BlisBranchObjectBilevel.h.

virtual AlpsReturnStatus BlisBranchObjectBilevel::encode | ( | AlpsEncoded * | encoded | ) | const
| inline virtual

Pack to an encoded object.

Reimplemented from BcpsBranchObject.

Definition at line 109 of file BlisBranchObjectBilevel.h.

virtual AlpsReturnStatus BlisBranchObjectBilevel::decode | ( | AlpsEncoded & | encoded | ) |
| inline virtual

Unpack a branching object from an encoded object.

Reimplemented from BcpsBranchObject.

Definition at line 119 of file BlisBranchObjectBilevel.h.

## Member Data Documentation

std::deque<int>* BlisBranchObjectBilevel::branchingSet_
| protected

The indices of variables in the branching set.

Definition at line 43 of file BlisBranchObjectBilevel.h.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Blis/src/BlisBranchObjectBilevel.h